## mustang 3.0

=== Makefile ===
#******************************************************************************
# TARGETS : ./bin/MUSTANG_v.3
# AUTHOR  : ARUN S KONAGURTHU
# DATE    : 4/2/2005
#******************************************************************************
#directories
MUSTANG = .

#local directories
SRC = $(MUSTANG)/src
OBJ = $(MUSTANG)/obj
BIN = $(MUSTANG)/bin

#compiler options
CPP = g++ #/usr/vacpp/bin/xlC_r 
CPPFLAGS =  -traditional -O3 #-qsmp #-g -gstabs #-ggdb #-Wall -W -Wcomment -Werror -traditional -ffast-math -O1
LDFLAGS =
.cpp.o:
	$(CPP) $(CPPFLAGS) -c -o $@ $<

#macros
OBJECTS = $(OBJ)/globals.o $(OBJ)/CmdLineParser.o $(OBJ)/distmat.o $(OBJ)/sse_RK.o \
	  $(OBJ)/read_structures.o $(OBJ)/primary_lib_gen.o  \
	  $(OBJ)/pairwise_global_structalgn.o $(OBJ)/pdb_ripper.o  $(OBJ)/merge_global_local_libs.o \
	  $(OBJ)/ew.o $(OBJ)/refine_pairalgn.o $(OBJ)/superpose_weightedRMS.o\
	  $(OBJ)/superpose_2.o $(OBJ)/jacobi.o  $(OBJ)/3D_manip_functions.o \
	  $(OBJ)/extended_lib_gen.o $(OBJ)/progress_align.o $(OBJ)/neighbour_joining.o $(OBJ)/upgma.o \
	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o $(OBJ)/output_algn.o $(OBJ)/main.o
ALL = $(BIN)/MUSTANG_v.3

#targets
all: $(ALL)




#------------------------------------------------------------------------------
$(BIN)/MUSTANG_v.3: $(OBJECTS) 
	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)

$(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/globals.cpp -o $(OBJ)/globals.o
		
$(OBJ)/CmdLineParser.o: $(SRC)/CmdLineParser.h $(SRC)/macros.h $(SRC)/globals.h $(SRC)/de_alloc_routines.h $(SRC)/CmdLineParser_2.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/CmdLineParser_2.cpp -o $(OBJ)/CmdLineParser.o
		
$(OBJ)/pdb_ripper.o: $(SRC)/pdb_ripper.h $(SRC)/macros.h $(SRC)/globals.h $(SRC)/alloc_routines.h $(SRC)/init_routines.h  $(SRC)/pdb_ripper_2.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/pdb_ripper_2.cpp -o $(OBJ)/pdb_ripper.o
		
$(OBJ)/read_structures.o: $(SRC)/read_structures.h $(SRC)/macros.h $(SRC)/globals.h $(SRC)/pdb_ripper.h $(SRC)/alloc_routines.h $(SRC)/init_routines.h $(SRC)/de_alloc_routines.h $(SRC)/read_structures.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/read_structures.cpp -o $(OBJ)/read_structures.o

$(OBJ)/3D_manip_functions.o: $(SRC)/3D_manip_functions.h $(SRC)/3D_manip_functions.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/3D_manip_functions.cpp -o $(OBJ)/3D_manip_functions.o
		
$(OBJ)/distmat.o: $(SRC)/macros.h $(SRC)/globals.h $(SRC)/distmat.h $(SRC)/distmat.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/distmat.cpp -o $(OBJ)/distmat.o
		
$(OBJ)/sse_RK.o: $(SRC)/macros.h $(SRC)/globals.h $(SRC)/sse_RK.h $(SRC)/sse_RK.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/sse_RK.cpp -o $(OBJ)/sse_RK.o
		
$(OBJ)/primary_lib_gen.o: $(SRC)/macros.h  $(SRC)/primary_lib_gen.h $(SRC)/globals.h \
			  $(SRC)/pairwise_global_structalgn.h $(SRC)/primary_lib_gen.cpp \
			  $(SRC)/merge_global_local_libs.h
		$(CPP) $(CPPFLAGS) -c $(SRC)/primary_lib_gen.cpp -o $(OBJ)/primary_lib_gen.o
		
$(OBJ)/pairwise_global_structalgn.o: $(SRC)/macros.h $(SRC)/globals.h  $(SRC)/pairwise_global_structalgn.h \
				     $(SRC)/ew.h $(SRC)/refine_pairalgn.h \
				     $(SRC)/pairwise_global_structalgn.cpp 
		$(CPP) $(CPPFLAGS) -c $(SRC)/pairwise_global_structalgn.cpp -o $(OBJ)/pairwise_global_structalgn.o
		
$(OBJ)/refine_pairalgn.o: $(SRC)/macros.h $(SRC)/globals.h  $(SRC)/refine_pairalgn.h \
				     $(SRC)/de_alloc_routines.h $(SRC)/superpose_2.h \
				     $(SRC)/refine_pairalgn_2.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/refine_pairalgn_2.cpp -o $(OBJ)/refine_pairalgn.o

$(OBJ)/superpose_2.o: $(SRC)/jacobi.h $(SRC)/macros.h $(SRC)/superpose_2.h $(SRC)/superpose_2.cpp 
		$(CPP) $(CPPFLAGS) -c $(SRC)/superpose_2.cpp -o $(OBJ)/superpose_2.o
		
$(OBJ)/superpose_weightedRMS.o: $(SRC)/jacobi.h $(SRC)/macros.h $(SRC)/superpose_weightedRMS.h $(SRC)/superpose_weightedRMS.cpp 
		$(CPP) $(CPPFLAGS) -c $(SRC)/superpose_weightedRMS.cpp -o $(OBJ)/superpose_weightedRMS.o
		
$(OBJ)/jacobi.o: $(SRC)/jacobi.h $(SRC)/jacobi.cpp 
		$(CPP) $(CPPFLAGS) -c $(SRC)/jacobi.cpp -o $(OBJ)/jacobi.o
		
$(OBJ)/ew.o: $(SRC)/globals.h $(SRC)/ew.h $(SRC)/superpose_2.h $(SRC)/superpose_weightedRMS.h \
					$(SRC)/ew_2.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/ew_2.cpp -o $(OBJ)/ew.o
		
$(OBJ)/merge_global_local_libs.o: $(SRC)/merge_global_local_libs.h $(SRC)/macros.h $(SRC)/globals.h \
				  $(SRC)/merge_global_local_libs.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/merge_global_local_libs.cpp -o $(OBJ)/merge_global_local_libs.o
		
$(OBJ)/extended_lib_gen.o: $(SRC)/extended_lib_gen.h $(SRC)/globals.h $(SRC)/macros.h  $(SRC)/extended_lib_gen_3.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/extended_lib_gen_3.cpp -o $(OBJ)/extended_lib_gen.o
		
$(OBJ)/progress_align.o: $(SRC)/progress_align.h $(SRC)/globals.h $(SRC)/macros.h  \
			 $(SRC)/neighbour_joining.h $(SRC)/progress_align_3.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/progress_align_3.cpp -o $(OBJ)/progress_align.o
		
$(OBJ)/neighbour_joining.o: $(SRC)/globals.h  $(SRC)/neighbour_joining.h $(SRC)/neighbour_joining.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/neighbour_joining.cpp -o $(OBJ)/neighbour_joining.o
		
$(OBJ)/upgma.o: $(SRC)/globals.h $(SRC)/upgma.h $(SRC)/upgma.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/upgma.cpp -o $(OBJ)/upgma.o

$(OBJ)/superpose_on_core.o: $(SRC)/superpose_on_core.h $(SRC)/superpose_2.h $(SRC)/macros.h $(SRC)/globals.h $(SRC)/alloc_routines.h  $(SRC)/init_routines.h  $(SRC)/de_alloc_routines.h $(SRC)/read_structures.h $(SRC)/superpose_on_core_2.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/superpose_on_core_2.cpp -o $(OBJ)/superpose_on_core.o


$(OBJ)/multiple_superposition.o: $(SRC)/multiple_superposition.h $(SRC)/jacobi.h $(SRC)/alloc_routines.h $(SRC)/multiple_superposition.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/multiple_superposition.cpp -o $(OBJ)/multiple_superposition.o

$(OBJ)/output_algn.o: $(SRC)/output_algn.h $(SRC)/macros.h $(SRC)/globals.h $(SRC)/output_algn.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/output_algn.cpp -o $(OBJ)/output_algn.o

$(OBJ)/main.o: $(SRC)/macros.h  $(SRC)/globals.h $(SRC)/distmat.h $(SRC)/sse_RK.h $(SRC)/primary_lib_gen.h  $(SRC)/main.cpp
		$(CPP) $(CPPFLAGS) -c $(SRC)/main.cpp -o $(OBJ)/main.o

#------------------------------------------------------------------------------
clean:
	rm $(OBJ)/*.o

remove: clean
	rm  $(BIN)/MUSTANG_v.3
#------------------------------------------------------------------------------

#******************************************************************************

## mustang 3.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #******************************************************************************
-# TARGETS : ./bin/MUSTANG_v.3
+# TARGETS : ./bin/mustang-3.2.1
 # AUTHOR  : ARUN S KONAGURTHU
-# DATE    : 4/2/2005
 #******************************************************************************
 #directories
 MUSTANG = .
@@ -12,8 +11,8 @@
 BIN = $(MUSTANG)/bin
 
 #compiler options
-CPP = g++ #/usr/vacpp/bin/xlC_r 
-CPPFLAGS =  -traditional -O3 #-qsmp #-g -gstabs #-ggdb #-Wall -W -Wcomment -Werror -traditional -ffast-math -O1
+CPP = g++ 
+CPPFLAGS = -traditional -Wall -O3 
 LDFLAGS =
 .cpp.o:
 	$(CPP) $(CPPFLAGS) -c -o $@ $<
@@ -21,21 +20,22 @@
 #macros
 OBJECTS = $(OBJ)/globals.o $(OBJ)/CmdLineParser.o $(OBJ)/distmat.o $(OBJ)/sse_RK.o \
 	  $(OBJ)/read_structures.o $(OBJ)/primary_lib_gen.o  \
-	  $(OBJ)/pairwise_global_structalgn.o $(OBJ)/pdb_ripper.o  $(OBJ)/merge_global_local_libs.o \
+	  $(OBJ)/pairwise_global_structalgn.o $(OBJ)/pdb_ripper.o  \
+	  $(OBJ)/merge_global_local_libs.o \
 	  $(OBJ)/ew.o $(OBJ)/refine_pairalgn.o $(OBJ)/superpose_weightedRMS.o\
 	  $(OBJ)/superpose_2.o $(OBJ)/jacobi.o  $(OBJ)/3D_manip_functions.o \
-	  $(OBJ)/extended_lib_gen.o $(OBJ)/progress_align.o $(OBJ)/neighbour_joining.o $(OBJ)/upgma.o \
-	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o $(OBJ)/output_algn.o $(OBJ)/main.o
-ALL = $(BIN)/MUSTANG_v.3
+	  $(OBJ)/extended_lib_gen.o $(OBJ)/progress_align.o $(OBJ)/neighbour_joining.o \
+	  $(OBJ)/upgma.o \
+	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o \
+	  $(OBJ)/output_algn.o $(OBJ)/main.o
+ALL = $(BIN)/mustang-3.2.1
 
 #targets
 all: $(ALL)
 
 
-
-
 #------------------------------------------------------------------------------
-$(BIN)/MUSTANG_v.3: $(OBJECTS) 
+$(BIN)/mustang-3.2.1: $(OBJECTS) 
 	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)
 
 $(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp
@@ -122,7 +122,7 @@
 	rm $(OBJ)/*.o
 
 remove: clean
-	rm  $(BIN)/MUSTANG_v.3
+	rm  $(BIN)/*
 #------------------------------------------------------------------------------
 
 #******************************************************************************

=== debian/changelog ===
mustang (3.2.1-3) unstable; urgency=low

  * debian/upstream:
     - Use BibTeX friendly formating of authors
  * debian/patches/gcc-4.7.patch: Fix build issue with gcc-4.7
    Closes: #667293

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:18:34 +0200

mustang (3.2.1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * debian/watch: Fixed homepage for download
  * debian/upstream: Moved DOI+PMID to references
  * debian/citation.bib: Removed because duplication of information
  * debian/mustang.docs: Removed because nothing to install any more
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - FIxed homepage
  * debian/source/format: 3.0 (quilt)
  * debian/{control,rules}: removed explicite quilt dependency
  * debian/README.source: Removed because outdated with source format
    3.0 (quilt)
  * debian/copyright: Rewritten to match DEP5 and verified using
      cme fix dpkg-copyright
  * debian/{compat,control}: debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 22:17:32 +0200

mustang (3.2.1-1) unstable; urgency=low

  * New upstream version
  * Morten Kjeldgaard lost interest in this package because of
    agressive upstream so I removed him from uploaders and added myself
  * debhelper 7
  * prefer single debhelper files in debian/ instead of using
    arguments do debhelper scripts in the rules file which simplifies
    transition to short rules file
  * debian/watch: no uversionmangle which leads to wrong version
    number

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2009 19:59:33 +0100

mustang (3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Patches 02-main.cpp.patch and 04-gcc-4.3-exit.patch have been 
    incorporated upstream and are no longer required.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 05 Oct 2009 13:10:26 +0200

mustang (3.0-2) unstable; urgency=low

  * Converted to quilt patch system.
  * New uploader email
  * Added citation.bib file, installed in /usr/share/doc/mustang
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Sun, 14 Dec 2008 13:55:03 +0100

mustang (3.0-1) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * debian/rules: CFLAGS -> CPPFLAGS
  * debian/control: add ${misc:Depends} to binary package, and 
    add Suggests: mustang-testdata
  * Add debian/watch
  
  [ Morten Kjeldgaard ]
  * Upload mustang to Debian  (Closes: #459637).
  * debian/control: Maintainer and homepage fields set as per
    Debian policy.
  * Include test pdb files in a separate package.
  * debian/rules: add get-orig-source target.
  * Include new upstream patches.
  * Upstream now distributes manpage which is installed.
  * Include pdb files from upstream tarball in a separate package,
    for a more extensive test.

  [ Andreas Tille ]
  * Maintainer: Debian-Med Packaging Team
    Uploaders: Morten Kjeldgaard <mok@bioxray.au.dk>
  * XS-DM-Upload-Allowed: Yes
  * Vcs-Browser, Vcs-Svn

  [ Steffen Moeller ]
  * Policy 3.8.0
  * Patch for gcc-4.3
  * debian/control has less redundany and easier working, added ref to paper.
  * changed debian watch to reflect version mangling in debian/changelog

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 04 Aug 2008 10:42:14 +0200

mustang (3.0-0ubuntu1) gutsy; urgency=low

  * Initial release
  * Manpage mustang.1 authored from information in the README.txt file.
  * The upstream tarball was repackaged to remove PDB files which have an
    undetermined copyright status and hence can not be distributed.
    Furthermore, the license was extracted from one of the source files
    and placed in the file 'LICENSE'. A note describing the repackaging in
    detail is placed in debian/copyright.
  * Instead of the PDB files included in the original tarball, a script is
    supplied that allows the user to fetch a few PDB files and test that
    mustang works.
  * A patch on main.cpp is supplied to beautify the output of the initial
    author blurb. The tabs in the output were removed to make the output
    easier to read in a default 80 columns wide terminal window.

 -- Morten Kjeldgaard <mok@bioxray.dk>  Mon, 25 Jun 2007 15:55:12 +0000

=== debian/control ===
Source: mustang
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.csse.monash.edu.au/~karun/Site/mustang.html
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mustang/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mustang/trunk/

Package: mustang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mustang-testdata
Description: multiple structural alignment of proteins
 Mustang is an algorithm to align multiple protein structures.
 Given a set of PDB files, the program uses the spatial
 information in the Calpha atoms of the set to produce a sequence alignment.
 Based on a progressive pairwise heuristic the algorithm then proceeds
 through a number of refinement passes. Mustang reports the multiple
 sequence alignment and the corresponding superposition of structures.

Package: mustang-testdata
Architecture: all
Enhances: mustang
Depends: ${misc:Depends}
Description: multiple structural alignment of proteins, test data
 This package contains a larger set of test data than what
 comes with the binary package. 
 .
 To run the test, change to a directory where you have write access, 
 then issue the command:
  mustang -f /usr/share/doc/mustang-testdata/examples/test_zf-CCHH

=== debian/watch ===
version=3
http://www.csse.monash.edu.au/~karun/Site/mustang.html http://www.csse.unimelb.edu.au/~arun/mustang/mustang_v([.\d]*)\.tgz

## mustang 3.2.2

=== debian/changelog ===
mustang (3.2.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debian/patches/hardening.patch: Propagate hardening options
  * Add some test data manually since we can not download anything
    at build time (autopkgtest time)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 13 Aug 2014 14:43:43 +0200

=== debian/control ===
Source: mustang
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mustang/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mustang/trunk/
Homepage: http://www.csse.monash.edu.au/~karun/Site/mustang.html

Package: mustang
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mustang-testdata
Description: multiple structural alignment of proteins
 Mustang is an algorithm to align multiple protein structures.
 Given a set of PDB files, the program uses the spatial
 information in the Calpha atoms of the set to produce a sequence alignment.
 Based on a progressive pairwise heuristic the algorithm then proceeds
 through a number of refinement passes. Mustang reports the multiple
 sequence alignment and the corresponding superposition of structures.

Package: mustang-testdata
Architecture: all
Depends: ${misc:Depends}
Enhances: mustang
Description: multiple structural alignment of proteins, test data
 This package contains a larger set of test data than what
 comes with the binary package. 
 .
 To run the test, change to a directory where you have write access, 
 then issue the command:
  mustang -f /usr/share/doc/mustang-testdata/examples/test_zf-CCHH

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; mode: font-lock  -*-

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdb

override_dh_auto_clean:
	rm -f obj/*.o
	rm -f bin/mustang-3.2*
#	dh_clean

override_dh_auto_install:
	install -D -m755 bin/mustang-3.2* debian/mustang/usr/bin/mustang

=== debian/watch ===
version=3
http://www.csse.monash.edu.au/~karun/Site/mustang.html http://www.csse.monash.edu.au/~karun/mustang/mustang_v([.\d]*)\.tgz

## mustang 3.2.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #******************************************************************************
-# TARGETS : ./bin/mustang-3.2.1
+# TARGETS : ./bin/mustang-3.2.3
 # AUTHOR  : ARUN S KONAGURTHU
 #******************************************************************************
 #directories
@@ -28,14 +28,14 @@
 	  $(OBJ)/upgma.o \
 	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o \
 	  $(OBJ)/output_algn.o $(OBJ)/main.o
-ALL = $(BIN)/mustang-3.2.1
+ALL = $(BIN)/mustang-3.2.3
 
 #targets
 all: $(ALL)
 
 
 #------------------------------------------------------------------------------
-$(BIN)/mustang-3.2.1: $(OBJECTS) 
+$(BIN)/mustang-3.2.3: $(OBJECTS) 
 	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)
 
 $(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp

=== debian/changelog ===
mustang (3.2.3-1ubuntu1) zesty; urgency=medium

  * Update existing hardening patch to rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 23 Mar 2017 14:41:45 +0530

mustang (3.2.3-1) unstable; urgency=medium

  * New upstream version
  * New homepage
  * New watch location

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 08:32:16 +0100

mustang (3.2.2-2) unstable; urgency=medium

  * Homepage with code vanished - use the publication page as next best URL
    to link to
  * Create fake watch file indicating that there is no upstream site any more
  * cme fix dpkg-control
  * debhelper 10
  * DEP5 fixes
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 16:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mustang
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Testsuite: autopkgtest
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mustang/trunk/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mustang/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mustang/trunk/
-Homepage: http://www.csse.monash.edu.au/~karun/Site/mustang.html
+Homepage: http://lcb.infotech.monash.edu.au/mustang/
 
 Package: mustang
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; mode: font-lock  -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## mustang 3.2.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #******************************************************************************
-# TARGETS : ./bin/mustang-3.2.3
+# TARGETS : ./bin/mustang-3.2.4
 # AUTHOR  : ARUN S KONAGURTHU
 #******************************************************************************
 #directories
@@ -28,14 +28,14 @@
 	  $(OBJ)/upgma.o \
 	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o \
 	  $(OBJ)/output_algn.o $(OBJ)/main.o
-ALL = $(BIN)/mustang-3.2.3
+ALL = $(BIN)/mustang-3.2.4
 
 #targets
 all: $(ALL)
 
 
 #------------------------------------------------------------------------------
-$(BIN)/mustang-3.2.3: $(OBJECTS) 
+$(BIN)/mustang-3.2.4: $(OBJECTS) 
 	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)
 
 $(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp

=== debian/changelog ===
mustang (3.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2022 22:30:48 +0100

mustang (3.2.3-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:20:06 +0100

mustang (3.2.3-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * use standard variable for the c++ compiler
    Closes: #895299

  [ Andreas Tille ]
  * Standards-Version: 4.1.4
  * Point Vcs URLs to Salsa
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 09 Apr 2018 21:33:59 +0200

mustang (3.2.3-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 09:19:48 +0100

=== debian/control ===
Source: mustang
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/mustang
Vcs-Git: https://salsa.debian.org/med-team/mustang.git
Homepage: https://lcb.infotech.monash.edu.au/mustang/
Rules-Requires-Root: no

Package: mustang
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mustang-testdata
Description: multiple structural alignment of proteins
 Mustang is an algorithm to align multiple protein structures.
 Given a set of PDB files, the program uses the spatial
 information in the Calpha atoms of the set to produce a sequence alignment.
 Based on a progressive pairwise heuristic the algorithm then proceeds
 through a number of refinement passes. Mustang reports the multiple
 sequence alignment and the corresponding superposition of structures.

Package: mustang-testdata
Architecture: all
Depends: ${misc:Depends}
Enhances: mustang
Multi-Arch: foreign
Description: multiple structural alignment of proteins, test data
 This package contains a larger set of test data than what
 comes with the binary package.
 .
 To run the test, change to a directory where you have write access,
 then issue the command:
  mustang -f /usr/share/doc/mustang-testdata/examples/test_zf-CCHH
